/* Mods by PA0GRI */
#ifndef _COMMANDS_H
#define _COMMANDS_H

#include "cmdparse.h"

/* In 8250.c, amiga.c: */
int doasystat __ARGS((int argc,char *argv[],void *p));

/* In alloc.c: */
int domem __ARGS((int argc,char *argv[],void *p));

/* In amiga.c: */
int doamiga __ARGS((int argc,char *argv[],void *p));

/* In arpcmd.c: */
int doarp __ARGS((int argc,char *argv[],void *p));

/* In asy.c: */
int asy_attach __ARGS((int argc,char *argv[],void *p));
int doasycomm __ARGS((int argc,char *argv[],void *p));

/* In at.c */
int doat __ARGS((int argc,char *argv[],void *p));

/* In ax25.c: */
int axip_attach __ARGS((int argc,char *argv[],void *p));

/* In ax25aar.c: */
int doax25autoroute __ARGS((int argc,char *argv[],void *p));

/* In ax25cmd.c: */
int doax25 __ARGS((int argc,char *argv[],void *p));
int doaxheard __ARGS((int argc,char *argv[],void *p));
int doaxdest __ARGS((int argc,char *argv[],void *p));
int doconnect __ARGS((int argc,char *argv[],void *p));

/* In bmutil.c: */
int issysarea __ARGS((char *name));
int isarea __ARGS((char *name));

/* In bootp.c: */
int dobootp __ARGS((int argc,char *argv[],void *p));

/* In bootpcmd.c */
int bootpdcmd __ARGS((int argc,char *argv[],void *p));

/* In buckbook.c  */
int docallserver __ARGS((int argc,char *argv[],void *p));
int docdrom __ARGS((int argc, char *argv[], void *p));

/* In calldbd.c: */
int cdbstart __ARGS((int argc,char *argv[],void *p));
int cdb0 __ARGS((int argc,char *argv[],void *p));
int docallbook __ARGS((int argc,char *argv[],void *p));

/* In convers.c */
int doconvers __ARGS((int argc, char **argv, void *p));
int DisplayFile __ARGS((char *fname,int socket));
#ifdef CONVERS
int conv1 __ARGS((int argc, char **argv, void *p));
int conv0 __ARGS((int argc, char **argv, void *p));
#endif

/* In dialer.c: */
int dodialer __ARGS((int argc,char *argv[],void *p));

/* In dirutil.c: */
int docd __ARGS((int argc,char *argv[],void *p));
int dodir __ARGS((int argc,char *argv[],void *p));
int domkd __ARGS((int argc,char *argv[],void *p));
int dormd __ARGS((int argc,char *argv[],void *p));

/* In domain.c: */
int dodomain __ARGS((int argc,char *argv[],void *p));

/* In drsi.c: */
int dodrstat __ARGS((int argc,char *argv[],void *p));
int dr_attach __ARGS((int argc,char *argv[],void *p));
int dodr __ARGS((int argc,char *argv[],void *p));

/* In eagle.c: */
int eg_attach __ARGS((int argc,char *argv[],void *p));
int doegstat __ARGS((int argc,char *argv[],void *p));

/* In ec.c: */
int doetherstat __ARGS((int argc,char *argv[],void *p));
int ec_attach __ARGS((int argc,char *argv[],void *p));

/* In expire.c: */
int doexpire __ARGS((int argc,char *argv[],void *p));
int dooldbids __ARGS((int argc,char *argv[],void *p));
void RenewWPages __ARGS((void));

/* In finger.c: */
int dofinger __ARGS((int argc,char *argv[],void *p));

/* In fingerd.c: */
int finstart __ARGS((int argc,char *argv[],void *p));
int fin0 __ARGS((int argc,char *argv[],void *p));

/* In forward.c: */
int fwdstart __ARGS((int argc,char *argv[],void *p));
int fwd0 __ARGS((int argc,char *argv[],void *p));
void netPrompt __ARGS((void));
int AREAlookup __ARGS((char *area,int index));

/* In ftpcli.c: */
int doftp __ARGS((int argc,char *argv[],void *p));
int doftype __ARGS((int argc,char *argv[],void *p));
int doabort __ARGS((int argc,char *argv[],void *p));

/* In ftpserv.c: */
int ftpstart __ARGS((int argc,char *argv[],void *p));
int ftp0 __ARGS((int argc,char *argv[],void *p));
int doftptdisc __ARGS((int argc,char *argv[],void *p));
int doftpmaxclients __ARGS((int argc,char *argv[],void *p));

/* In ftpsubr.c: */
int md5hash __ARGS((FILE *fp,char hash[],int ascii));

/* In getline.c: */
char * getline __ARGS((FILE *fp));

/* In hapn.c: */
int dohapnstat __ARGS((int argc,char *argv[],void *p));
int hapn_attach __ARGS((int argc,char *argv[],void *p));

/* In help.c: */
void dohelper __ARGS((char *title,register struct cmds *cmdp, char *stopstr, char *filename, char *search));

/* In hop.c: */
int dohop __ARGS((int argc,char *argv[],void *p));

/* In hs.c: */
int dohs __ARGS((int argc,char *argv[],void *p));
int hs_attach __ARGS((int argc,char *argv[],void *p));

/* In icmpcmd.c: */
int doicmp __ARGS((int argc,char *argv[],void *p));
int doping __ARGS((int argc,char *argv[],void *p));

/* In iface.c: */
int doifconfig __ARGS((int argc,char *argv[],void *p));
int dodetach __ARGS((int argc,char *argv[],void *p));

/* In ipcmd.c: */
int doip __ARGS((int argc,char *argv[],void *p));
int doroute __ARGS((int argc,char *argv[],void *p));
int doipheard __ARGS((int argc,char *argv[],void *p));

/* In kiss.c */
int kiss_attach __ARGS((int argc,char *argv[],void *p));
int kiss_attach __ARGS((int argc,char **argv,void *p));

/* In ksubr.c: */
int ps __ARGS((int argc,char *argv[],void *p));

/* In lapb.c */
int dorose __ARGS((int argc,char *argv[],void *p));

/* In lzw.c */
int dolzw __ARGS((int argc,char *argv[],void *p));

/* In mailbox.c: */
int dombox __ARGS((int argc,char *argv[],void *p));
int doinetcallserver __ARGS((int argc,char *argv[],void *p));

/* In mailfor.c */
int dombrline __ARGS((int argc,char *argv[],void *p));

/* In main.c: */
int dodelete __ARGS((int argc,char *argv[],void *p));
int dorename __ARGS((int argc,char *argv[],void *p));
int doexit __ARGS((int argc,char *argv[],void *p));
int dohostname __ARGS((int argc,char *argv[],void *p));
int dolog __ARGS((int argc,char *argv[],void *p));
int dohelp __ARGS((int argc,char *argv[],void *p));
int doattach __ARGS((int argc,char *argv[],void *p));
int doparam __ARGS((int argc,char *argv[],void *p));
int domode __ARGS((int argc,char *argv[],void *p));
int domore __ARGS((int argc,char *argv[],void *p));
int donothing __ARGS((int argc,char *argv[],void *p));
int donrstat __ARGS((int argc,char *argv[],void *p));
int doescape __ARGS((int argc,char *argv[],void *p));
int doremote __ARGS((int argc,char *argv[],void *p));
int doboot __ARGS((int argc,char *argv[],void *p));
int dosource __ARGS((int argc,char *argv[],void *p));
int doattended __ARGS((int argc,char *argv[],void *p));
int domdump __ARGS((int argc,char *argv[],void *p));
int dostatus __ARGS((int argc,char *argv[],void *p));
int domotd __ARGS((int argc,char *argv[],void *p));
int dofmotd __ARGS((int argc,char *argv[],void *p));
int dothirdparty __ARGS((int argc,char *argv[],void *p));
int dotail __ARGS((int argc,char *argv[],void *p));
int dolock __ARGS((int argc,char *argv[],void *p));
int morecmd __ARGS((int argc,char *argv[],void *p));
int docopy __ARGS((int, char **, void *));
int doerror __ARGS((int, char **, void *));
int dowrite __ARGS((int, char **, void *));
int dowriteall __ARGS((int, char **, void *));
int doprompt __ARGS((int, char **, void *));
int dohistory __ARGS((int, char **, void *));
int dorepeat __ARGS((int, char **, void *));
void mail_error __ARGS((char *fmt, ...));
int dosystime __ARGS((int argc,char *argv[],void *p));

/* In merge.c */
FILE *fopennew __ARGS((char *fname, char *mode));
int merge __ARGS((char *fname));

/* In misc.c: */
int readhex __ARGS((char *out,char *in,int size));

/* In nntpcli.c */
int donntp __ARGS((int argc,char *argv[],void *p));

/* In nrcmd.c: */
int donetrom __ARGS((int argc,char *argv[],void *p));
int nr_attach __ARGS((int argc,char *argv[],void *p));

/* In twin_dr.c/twin_at.c  - Gracilis PackeTwin */
int tsync_attach __ARGS((int argc,char *argv[],void *p));
int do_tsync_stat __ARGS((int argc,char *argv[],void *p));
int do_tsync_dump __ARGS((int argc,char *argv[],void *p));

/* In pc.c: */
int doshell __ARGS((int argc,char *argv[],void *p));
int dofkey __ARGS((int argc,char *argv[],void *p));
int doisat __ARGS((int argc,char *argv[],void *p));
int dobmail __ARGS((int argc,char *argv[],void *p));
int dobackg __ARGS((int argc,char *argv[],void *p));
int dowatchdog __ARGS((int argc,char *argv[],void *p));

/* In pc100.h: */
int pc_attach __ARGS((int argc,char *argv[],void *p));

/* In pktdrvr.c: */
int pk_attach __ARGS((int argc,char *argv[],void *p));

/* In pi.c: */
int pi_attach __ARGS((int argc,char *argv[],void *p));
int dopistat __ARGS((int argc,char *argv[],void *p));

/* In popcli.c */
int dopop __ARGS((int argc,char *argv[],void *p));

/* In popserv.c */
int pop1 __ARGS((int argc,char *argv[],void *p));
int pop0 __ARGS((int argc,char *argv[],void *p));

/* in pop2serv.c */
int pop2start   __ARGS((int argc,char *argv[],void *p));
int pop2stop    __ARGS((int argc,char *argv[],void *p));

/* in pop3serv.c */
int pop3start   __ARGS((int argc,char *argv[],void *p));
int pop3stop    __ARGS((int argc,char *argv[],void *p));

/* In rarp.c: */
int dorarp __ARGS((int argc,char *argv[],void *p));

/* In reqsvr.c: */
int rdaemon __ARGS((FILE *data,char *from, char *to, char *msg, char msgtype, int mode));
int rmail __ARGS((FILE *fp,char *from));
#ifdef REQSVR
int reqsvr __ARGS((FILE *fp,char *from));
#endif

/* In ripcmd.c: */
int doaddrefuse __ARGS((int argc,char *argv[],void *p));
int dodroprefuse __ARGS((int argc,char *argv[],void *p));
int dorip __ARGS((int argc,char *argv[],void *p));
int doripadd __ARGS((int argc,char *argv[],void *p));
int doripdrop __ARGS((int argc,char *argv[],void *p));
int doripkick __ARGS((int argc,char *argv[],void *p));
int doripinit __ARGS((int argc,char *argv[],void *p));
int doripmerge __ARGS((int argc,char *argv[],void *p));
int doripreq __ARGS((int argc,char *argv[],void *p));
int doripstat __ARGS((int argc,char *argv[],void *p));
int doripstop __ARGS((int argc,char *argv[],void *p));
int doriptrace __ARGS((int argc,char *argv[],void *p));
int doripttl __ARGS((int argc,char *argv[],void *p));

/* In rdate.c: */
int dordate __ARGS((int argc,char *argv[],void *p));

/* In reqsvr.c: */
void parseheader __ARGS((FILE *fp,char *from, char *subject, char *buf,long *startat));

/* In timed.c */
int time0 __ARGS((int argc,char *argv[],void *p));
int time1 __ARGS((int argc,char *argv[],void *p));

/* In rlogin.c: */
int dorlogin __ARGS((int argc,char *argv[],void *p));

/* In rspf.c: */
int dorspf __ARGS((int argc,char *argv[],void *p));

/* In rspfcmd.c: */
int dorspf __ARGS((int argc,char **argv,void *p));

/* In scc.c: */
int scc_attach __ARGS((int argc,char *argv[],void *p));
int dosccstat __ARGS((int argc,char *argv[],void *p));

/* In search.c: */
int searchfileFP __ARGS((register char *searchfor,register FILE *fp,register char *buf,int entrysize, int *passes, int searchlen));
int searchfile __ARGS((register char *searchfor,char *fname,register char *buf,int entrysize, int *passes, int searchlen));

/* In session.c: */
int dosession __ARGS((int argc,char *argv[],void *p));
int go __ARGS((int argc,char *argv[],void *p));
int doclose __ARGS((int argc,char *argv[],void *p));
int doreset __ARGS((int argc,char *argv[],void *p));
int dokick __ARGS((int argc,char *argv[],void *p));
int dorecord __ARGS((int argc,char *argv[],void *p));
int doupload __ARGS((int argc,char *argv[],void *p));

/* In smisc.c: */
int deleteserver __ARGS((int *mysocket));
int installserver __ARGS((int argc,char *argv[],int *mysocket,char *listener,
	int defport, char *procname,
	void (*proc) __ARGS((int,void *,void *)),
	int size, void *parm));
int dis1 __ARGS((int argc,char *argv[],void *p));
int dis0 __ARGS((int argc,char *argv[],void *p));
int echo1 __ARGS((int argc,char *argv[],void *p));
int echo0 __ARGS((int argc,char *argv[],void *p));
int time1 __ARGS((int argc,char *argv[],void *p));
int time0 __ARGS((int argc,char *argv[],void *p));
int daytime1 __ARGS((int argc,char *argv[],void *p));
int daytime0 __ARGS((int argc,char *argv[],void *p));
int rem1 __ARGS((int argc,char *argv[],void *p));
int rem0 __ARGS((int argc,char *argv[],void *p));
int quote1 __ARGS((int argc,char *argv[],void *p));
int quote0 __ARGS((int argc,char *argv[],void *p));

#ifdef UNIX
/* In sessmgr.c */
extern int dosessmgr __ARGS((int, char **, void *));
#endif

/* In smtpcli.c: */
int dosmtp __ARGS((int argc,char *argv[],void *p));

/* In smtpserv.c: */
int smtp1 __ARGS((int argc,char *argv[],void *p));
int smtp0 __ARGS((int argc,char *argv[],void *p));
char *ptime __ARGS((long *t));

/* In sockcmd.c: */
int dosock __ARGS((int argc,char *argv[],void *p));
int dokicksocket __ARGS((int argc,char *argv[],void *p));

/* In ssaver.c: */
void screensaver __ARGS((void));
void sskick __ARGS((void));
int ssenabled __ARGS((void));

/* In sw.c: */
int doswatch __ARGS((int argc,char *argv[],void *p));

/* In tcpcmd.c: */
int dotcp __ARGS((int argc,char *argv[],void *p));

/* In telnet.c: */
int doecho __ARGS((int argc,char *argv[],void *p));
int doeol __ARGS((int argc,char *argv[],void *p));
int dotelnet __ARGS((int argc,char *argv[],void *p));
int dottylink __ARGS((int argc,char *argv[],void *p));
int dobbs __ARGS((int argc,char *argv[],void *p));
int doconf __ARGS((int argc,char *argv[],void *p));

/* In tip.c: */
int dotip __ARGS((int argc,char *argv[],void *p));

/* In trace.c: */
int dotrace __ARGS((int argc,char *argv[],void *p));
int dostrace __ARGS((int argc,char *argv[],void *p));

/* In ttylink.c: */
int ttylstart __ARGS((int argc,char *argv[],void *p));
int ttyl0 __ARGS((int argc,char *argv[],void *p));

/* In udpcmd.c: */
int doudp __ARGS((int argc,char *argv[],void *p));

/* In version.c: */
int doversion __ARGS((int argc,char *argv[],void *p));

/* In view.c: */
int doview __ARGS((int argc,char *argv[],void *p));

#endif  /* _COMMANDS_H */
